#
# Conditional build:
%bcond_without	pgm		# PGM extension (using OpenPGM library)
%bcond_without	tests		# build without tests

Summary:	0MQ - Zero Message Queue
Summary(en.UTF-8):	ØMQ - Zero Message Queue
Summary(pl.UTF-8):	ØMQ (Zero Message Queue) - kolejka komunikatów
Name:		zeromq
Version:	4.0.4
Release:	2
License:	LGPL v3+
Group:		Libraries
Source0:	http://download.zeromq.org/%{name}-%{version}.tar.gz
# Source0-md5:	f3c3defbb5ef6cc000ca65e529fdab3b
URL:		http://www.zeromq.org/
BuildRequires:	asciidoc
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libsodium-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
%{?with_pgm:BuildRequires:	libpgm-devel >= 5.1}
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xmlto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialised messaging middleware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%description -l en.UTF-8
The ØMQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialised messaging middleware products. ØMQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%description -l pl.UTF-8
Lekkie jądro przekazywania komunikatów ØMQ to biblioteka rozszerzająca
standardowe interfejsy gniazd o możliwości zwykle udostępniane przez
specjalizowane produkty warstwy pośredniej do przekazywania
komunikatów. Gniazda ØMQ udostępniają abstrakcję asynchronicznych
kolejek komunikatów, wiele wzorców przekazywania komunikatów,
filtrowanie komunikatów (subskrypce), przezroczysty dostęp do wielu
protokołów transportowych i wiele innych możliwości.

%package devel
Summary:	0MQ library header files for development
Summary(en.UTF-8):	ØMQ library header files for development
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki ØMQ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	zeromq-pthreads-devel

%description devel
0MQ library header files for development.

%description devel -l en.UTF-8
ØMQ library header files for development.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki ØMQ.

%package static
Summary:	Static 0MQ library
Summary(en.UTF-8):	Static ØMQ library
Summary(pl.UTF-8):	Statyczna biblioteka ØMQ
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	zeromq-pthreads-static

%description static
Static 0MQ library.

%description static -l en.UTF-8
Static ØMQ library.

%description static -l pl.UTF-8
Statyczna biblioteka ØMQ.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%{__autoheader}
%configure \
	--disable-silent-rules \
	%{?with_pgm:--with-system-pgm}
%{__make}

%if %{with tests}
%{__make} check -j1
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS
%attr(755,root,root) %{_bindir}/curve_keygen
%attr(755,root,root) %{_libdir}/libzmq.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzmq.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzmq.so
%{_includedir}/zmq.h
%{_includedir}/zmq_utils.h
%{_pkgconfigdir}/libzmq.pc
%{_mandir}/man3/zmq*.3*
%{_mandir}/man7/zmq*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libzmq.a
%changelog
* Sat Jul 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/zeromq.git;a=log;h=master

* Sat Jul 26 2014 Jan Rękorajski <baggins@pld-linux.org> 959c1c0
- release 2 (by relup.sh)

* Tue Mar 11 2014 Jakub Bogusz <qboosh@pld-linux.org> ca734c9
- updated to 4.0.4

* Thu Nov 28 2013 Jakub Bogusz <qboosh@pld-linux.org> 823f46e
- updated to 4.0.3

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 2bed004
- updated to 4.0.1

* Tue Jul 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c29375
- enable PGM extension
- release 2

* Tue Jul 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 970e18a
- updated BRs, added pl

* Sat May 04 2013 Lukasz Glebicki <blekot@pld-linux.org> 74550f5
- up to 3.2.3
- tests can fail with -j greater than 1

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 6c91f3a
- release 3 (by relup.sh)

* Mon Jan 28 2013 Elan Ruusamäe <glen@delfi.ee> b7ae11a
- rel 2

* Mon Jan 28 2013 Elan Ruusamäe <glen@delfi.ee> a86c1f4
- default description in C locale is not UTF-8 capable, add en.UTF-8

* Fri Jan 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b70f87e
- up to 3.2.2

* Tue Jul 24 2012 wrobell <wrobell@pld-linux.org> fc44bac
- ver. 2.2.0

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> 2cf5d77
- up to 2.1.11

* Mon Oct 24 2011 Karol Krenski <charles@pld-linux.org> e24289c
- updated to 2.1.10
- fixed/updated desc

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e5356c1
- BR: libstdc++-devel, libtool, libuuid-devel, pkgconfig

* Thu Sep 02 2010 aredridel <aredridel@pld-linux.org> 1b0270a
- 2.0.8

* Mon Jul 12 2010 Elan Ruusamäe <glen@pld-linux.org> 6f214ed
- pldize, manuals to proper package, attrs for executables, full auto* regen,
  package description

* Sun Jul 04 2010 aredridel <aredridel@pld-linux.org> ee66aa7
- initial commit

